# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDORevision

Packages that use CDORevision
Package
Description
org.eclipse.emf.cdo
Client concepts like `CDOObject` and `CDOState`.
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.revision.delta
Common concepts for dealing with revision deltas and feature deltas.
org.eclipse.emf.cdo.common.security
Common concepts for dealing with permissions and protectable entities.
org.eclipse.emf.cdo.lm.security.impl
The generated EMF implementation of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.
org.eclipse.emf.cdo.server.ocl
Server implementation of a generic OCL query handler.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.internal.cdo
Exposes `CDOObjectImpl` for extension in generated EMF models.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDORevision in org.eclipse.emf.cdo

Methods in org.eclipse.emf.cdo that return CDORevision
Modifier and Type
Method
Description
`CDORevision`
CDOObject.`cdoRevision()`
Returns the `revision` of this object, or `null` if this object does currently not have a revision.
`CDORevision`
CDOObject.`cdoRevision(boolean loadOnDemand)`
Returns the `revision` of this object, or `null` if this object does currently not have a revision and loadOnDemand is `false`.

## Uses of CDORevision in org.eclipse.emf.cdo.common.commit

Method parameters in org.eclipse.emf.cdo.common.commit with type arguments of type CDORevision
Modifier and Type
Method
Description
`default void`
CDOChangeSetData.`forEachRevision(Consumer<CDORevision> consumer)`

## Uses of CDORevision in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDORevision
Modifier and Type
Method
Description
`CDORevision`
CDODataInput.`readCDORevision()`
`CDORevision`
CDODataInput.`readCDORevision(boolean freeze)`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDORevision
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDORevision(CDORevision revision, int referenceChunk)`
`void`
CDODataOutput.`writeCDORevision(CDORevision revision, int referenceChunk, CDOBranchPoint securityContext)`

## Uses of CDORevision in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision that return CDORevision
Modifier and Type
Method
Description
`CDORevision`
CDORevision.`copy()`
`CDORevision`
CDORevisionFactory.`createRevision(EClass eClass)`
`static CDORevision`
CDORevisionUtil.`getParentRevision(CDORevision revision, CDORevisionProvider provider)`
`static CDORevision`
CDORevisionUtil.`getParentRevision(CDORevision revision, CDORevisionProvider provider, EClass type)`
`CDORevision`
CDORevisionCache.AdditionEvent.`getRevision()`
`CDORevision`
CDORevisionCache.EvictionEvent.`getRevision()`
May be `null` for certain cache implementations.
`CDORevision`
CDORevisionCache.`getRevision(CDOID id, CDOBranchPoint branchPoint)`
`CDORevision`
CDORevisionManager.`getRevision(CDOID id, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand)`
Returns the `revision` with the given `ID` at the given `branch point` (branch + timestamp), optionally demand loading it if it is not already in the `cache`.
`CDORevision`
CDORevisionProvider.`getRevision(CDOID id)`
`CDORevision`
CDORevisionCache.`getRevisionByVersion(CDOID id, CDOBranchVersion branchVersion)`
`CDORevision`
CDORevisionManager.`getRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk, boolean loadOnDemand)`
Returns the `revision` with the given `ID` at the given `branch version` (branch + version), optionally demand loading it if it is not already in the `cache`.
`CDORevision`
CDORevisionInterner.`internRevision(CDORevision revision)`
Interns the given revision and returns either the given revision or a revision with the same `key` that was interned previously.
`CDORevision`
CDORevisionData.`revision()`
Methods in org.eclipse.emf.cdo.common.revision that return types with arguments of type CDORevision
Modifier and Type
Method
Description
`List<? extends CDORevision>`
CDORevisionsLoadedEvent.`getAdditionalLoadedRevisions()`
`Map<CDOBranch,List<CDORevision>>`
CDOAllRevisionsProvider.`getAllRevisions()`
`static List<CDORevision>`
CDORevisionUtil.`getChildRevisions(CDOID container, CDORevisionProvider provider)`
`static List<CDORevision>`
CDORevisionUtil.`getChildRevisions(CDOID container, CDORevisionProvider provider, boolean onlyProperContents)`
`static List<CDORevision>`
CDORevisionUtil.`getChildRevisions(CDORevision container, CDORevisionProvider provider)`
`static List<CDORevision>`
CDORevisionUtil.`getChildRevisions(CDORevision container, CDORevisionProvider provider, boolean onlyProperContents)`
`List<CDORevision>`
CDORevisionCache.`getCurrentRevisions()`
Returns a list of `revisions` that are current.
`Map<CDOBranch,List<CDORevision>>`
CDORevisionUtil.AllRevisionsDumper.`getMap()`
`List<? extends CDORevision>`
CDORevisionsLoadedEvent.`getPrimaryLoadedRevisions()`
`List<CDORevision>`
CDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand)`
Returns the `revisions` with the given `IDs` at the given `branch point` (branch + timestamp), optionally demand loading them if they are not already in the `cache`.
`List<CDORevision>`
CDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand, List<CDORevision> additionalRevisions)`
Returns the `revisions` with the given `IDs` at the given `branch point` (branch + timestamp), optionally demand loading them if they are not already in the `cache`.
Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDORevision
Modifier and Type
Method
Description
`void`
CDORevisionCache.`addRevision(CDORevision revision)`
Deprecated.
As of 4.15 use `CDORevisionInterner.internRevision(CDORevision)`.
`void`
CDORevisionCacheAdder.`addRevision(CDORevision revision)`
Adds the given revision to this cache.
`CDORevisionCrawler`
CDORevisionCrawler.`addRevision(CDORevision revision)`
Adds a revision to the crawl queue and processes reachable revisions.
`default boolean`
CDORevisionCrawler.Handler.`beginRevision(CDORevision revision)`
Called when a revision is about to be processed.
`final boolean`
CDORevisionCrawler.OutputStreamHandler.`beginRevision(CDORevision revision)`
`CDORevisionDelta`
CDORevision.`compare(CDORevision origin)`
`static CDOListFeatureDelta`
CDORevisionUtil.`compareLists(CDORevision originRevision, CDORevision dirtyRevision, EStructuralFeature feature)`
`static CDORevisionDelta`
CDORevisionUtil.`createDelta(CDORevision revision)`
`CDORevisionCrawler.FeatureStrategy.Decision`
CDORevisionCrawler.FeatureStrategy.`decide(CDORevision revision, EStructuralFeature feature)`
Decides how to handle a feature for a given revision.
`protected boolean`
CDORevisionCrawler.OutputStreamHandler.`doBeginRevision(CDORevision revision)`
Performs finishing logic for the given revision.
`protected void`
CDORevisionCrawler.OutputStreamHandler.`doEndRevision(CDORevision revision)`
Performs ending logic for the given revision.
`protected void`
CDORevisionCrawler.OutputStreamHandler.`doHandleFeature(CDORevision revision, EStructuralFeature feature)`
Performs feature handling logic for the given revision and feature.
`protected abstract void`
CDORevisionUtil.AllRevisionsDumper.`dumpRevision(CDORevision revision)`
`protected void`
CDORevisionUtil.AllRevisionsDumper.Stream.Html.`dumpRevision(CDORevision revision)`
`protected void`
CDORevisionUtil.AllRevisionsDumper.Stream.Html.`dumpRevision(CDORevision revision, PrintStream out)`
`protected void`
CDORevisionUtil.AllRevisionsDumper.Stream.Plain.`dumpRevision(CDORevision revision)`
`default void`
CDORevisionCrawler.Handler.`endRevision(CDORevision revision)`
Called when a revision has been processed.
`final void`
CDORevisionCrawler.OutputStreamHandler.`endRevision(CDORevision revision)`
`protected boolean`
CDORevisionHandler.Filtered.`filter(CDORevision revision)`
`protected boolean`
CDORevisionHandler.Filtered.Undetached.`filter(CDORevision revision)`
`static void`
CDORevisionUtil.`forEachChildRevision(CDORevision container, CDORevisionProvider provider, boolean onlyProperContents, Consumer<CDORevision> consumer)`
`static void`
CDORevisionUtil.`forEachValue(CDORevision revision, EStructuralFeature feature, int maxValues, Consumer<Object> consumer)`
`static void`
CDORevisionUtil.`forEachValue(CDORevision revision, EStructuralFeature feature, Consumer<Object> consumer)`
`static List<CDORevision>`
CDORevisionUtil.`getChildRevisions(CDORevision container, CDORevisionProvider provider)`
`static List<CDORevision>`
CDORevisionUtil.`getChildRevisions(CDORevision container, CDORevisionProvider provider, boolean onlyProperContents)`
`static CDORevision`
CDORevisionUtil.`getParentRevision(CDORevision revision, CDORevisionProvider provider)`
`static CDORevision`
CDORevisionUtil.`getParentRevision(CDORevision revision, CDORevisionProvider provider, EClass type)`
`static String`
CDORevisionUtil.`getResourceNodeName(CDORevision revision)`
`static String`
CDORevisionUtil.`getResourceNodePath(CDORevision revision, CDORevisionProvider provider)`
`default void`
CDORevisionCrawler.Handler.`handleFeature(CDORevision revision, EStructuralFeature feature)`
Called for each feature to be handled.
`final void`
CDORevisionCrawler.OutputStreamHandler.`handleFeature(CDORevision revision, EStructuralFeature feature)`
`static void`
CDORevisionUtil.`handleParentRevisions(CDORevision revision, CDORevisionProvider provider, CDORevisionHandler handler)`
`final boolean`
CDORevisionHandler.Filtered.`handleRevision(CDORevision revision)`
`boolean`
CDORevisionHandler.`handleRevision(CDORevision revision)`
Handles a revision.
`static boolean`
CDORevisionUtil.`hasChildRevisions(CDORevision container)`
`CDORevision`
CDORevisionInterner.`internRevision(CDORevision revision)`
Interns the given revision and returns either the given revision or a revision with the same `key` that was interned previously.
`void`
CDOListResolver.`resolveAllProxies(CDORevision revision, EStructuralFeature feature)`
Defines a strategy to be used when the collection needs to resolve all elements.
`Object`
CDOListResolver.`resolveProxy(CDORevision revision, EStructuralFeature feature, int accessIndex, int serverIndex)`
Defines a strategy to be used when the collection needs to resolve one element.
Method parameters in org.eclipse.emf.cdo.common.revision with type arguments of type CDORevision
Modifier and Type
Method
Description
`static String`
CDORevisionUtil.`dumpAllRevisions(Map<CDOBranch,List<CDORevision>> map)`
`static void`
CDORevisionUtil.`dumpAllRevisions(Map<CDOBranch,List<CDORevision>> map, PrintStream out)`
`static void`
CDORevisionUtil.`forEachChildRevision(CDOID container, CDORevisionProvider provider, boolean onlyProperContents, Consumer<CDORevision> consumer)`
`static void`
CDORevisionUtil.`forEachChildRevision(CDORevision container, CDORevisionProvider provider, boolean onlyProperContents, Consumer<CDORevision> consumer)`
`void`
CDORevisionCache.`forEachCurrentRevision(Consumer<CDORevision> consumer)`
Passes each `revision` that is current into the given consumer.
`void`
CDORevisionCache.`forEachRevision(Consumer<CDORevision> consumer)`
Passes each `revision` into the given consumer.
`void`
CDORevisionCache.`forEachValidRevision(CDOBranchPoint branchPoint, boolean considerBranchBases, Consumer<CDORevision> consumer)`
Passes each `revision` that is valid at the given `branch point` (or optionally at the base ranch points) into the given consumer.
Constructor parameters in org.eclipse.emf.cdo.common.revision with type arguments of type CDORevision
Modifier
Constructor
Description
``
`AllRevisionsDumper(Map<CDOBranch,List<CDORevision>> map)`
``
`Html(Map<CDOBranch,List<CDORevision>> map, PrintStream out)`
``
`Plain(Map<CDOBranch,List<CDORevision>> map, PrintStream out)`
``
`Stream(Map<CDOBranch,List<CDORevision>> map, PrintStream out)`

## Uses of CDORevision in org.eclipse.emf.cdo.common.revision.delta

Methods in org.eclipse.emf.cdo.common.revision.delta with parameters of type CDORevision
Modifier and Type
Method
Description
`void`
CDOFeatureDelta.`apply(CDORevision revision)`
Deprecated.
As of 4.3 use `CDOFeatureDelta.applyTo(CDORevision)`.
`void`
CDORevisionDelta.`apply(CDORevision revision)`
Deprecated.
As of 4.3 use `CDORevisionDelta.applyTo(CDORevision)`.
`Object`
CDOFeatureDelta.`applyTo(CDORevision revision)`
`void`
CDORevisionDelta.`applyTo(CDORevision revision)`
Applies the `feature deltas` in this revision delta to the `data` of the given revision.

## Uses of CDORevision in org.eclipse.emf.cdo.common.security

Methods in org.eclipse.emf.cdo.common.security with parameters of type CDORevision
Modifier and Type
Method
Description
`CDOPermission`
CDOPermissionProvider.Constant.`getPermission(CDORevision revision, CDOBranchPoint securityContext)`
`CDOPermission`
CDOPermissionProvider.`getPermission(CDORevision revision, CDOBranchPoint securityContext)`

## Uses of CDORevision in org.eclipse.emf.cdo.lm.security.impl

Methods in org.eclipse.emf.cdo.lm.security.impl with parameters of type CDORevision
Modifier and Type
Method
Description
`protected final boolean`
LMFilterImpl.`filter(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)`

## Uses of CDORevision in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server that return CDORevision
Modifier and Type
Method
Description
`CDORevision`
AbstractLifecycleManager.NewBaselineEvent.`getNewBaseline()`
Methods in org.eclipse.emf.cdo.lm.server with parameters of type CDORevision
Modifier and Type
Method
Description
`static CDOBranchRef`
AbstractLifecycleManager.`getBranch(CDORevision floatingBaseline)`
Deprecated.
As of 1.4 not used anymore.
`CDOBranchPointRef`
AbstractLifecycleManager.BaselineBranchPointProvider.`getBranchPoint(CDORevision baseline, CDORevisionProvider provider, Stream stream)`

## Uses of CDORevision in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security with parameters of type CDORevision
Modifier and Type
Method
Description
`boolean`
Permission.`isApplicable(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext)`
`boolean`
PermissionFilter.`isApplicable(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)`

## Uses of CDORevision in org.eclipse.emf.cdo.security.impl

Methods in org.eclipse.emf.cdo.security.impl that return CDORevision
Modifier and Type
Method
Description
`CDORevision[]`
PermissionImpl.CommitImpactContext.`getDirtyObjects()`
Returns the revisions of the changed objects of the current commit.
`CDORevision[]`
PermissionImpl.CommitImpactContext.`getNewObjects()`
Returns the revisions of the new objects of the current commit.
Methods in org.eclipse.emf.cdo.security.impl with parameters of type CDORevision
Modifier and Type
Method
Description
`protected boolean`
AndFilterImpl.`filter(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)`
`protected boolean`
ClassFilterImpl.`filter(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)`
`protected boolean`
LinkedFilterImpl.`filter(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)`
`protected boolean`
NotFilterImpl.`filter(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)`
`protected boolean`
ObjectFilterImpl.`filter(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)`
`protected boolean`
OrFilterImpl.`filter(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)`
`protected boolean`
PackageFilterImpl.`filter(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)`
`protected abstract boolean`
PermissionFilterImpl.`filter(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)`
`protected boolean`
ResourceFilterImpl.`filter(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)`
`boolean`
ClassPermissionImpl.`isApplicable(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext)`
Deprecated.
`boolean`
FilterPermissionImpl.`isApplicable(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext)`
`boolean`
ObjectPermissionImpl.`isApplicable(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext)`
Deprecated.
`boolean`
PackagePermissionImpl.`isApplicable(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext)`
Deprecated.
`boolean`
PermissionFilterImpl.`isApplicable(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)`
`boolean`
ResourcePermissionImpl.`isApplicable(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext)`
Deprecated.

## Uses of CDORevision in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDORevision
Modifier and Type
Method
Description
`CDORevision`
IStoreAccessor.CommitContext.ModificationContext.`attachNewObject(CDOID containerID, EReference containingReference, EClass eClass)`
`CDORevision`
IStoreChunkReader.`getRevision()`
Methods in org.eclipse.emf.cdo.server that return types with arguments of type CDORevision
Modifier and Type
Method
Description
`protected Map<CDOBranch,List<CDORevision>>`
CDOServerBrowser.RevisionsPage.FromCache.`getAllRevisions(InternalRepository repository)`
`protected Map<CDOBranch,List<CDORevision>>`
CDOServerBrowser.RevisionsPage.FromStore.`getAllRevisions(InternalRepository repository)`
`protected abstract Map<CDOBranch,List<CDORevision>>`
CDOServerBrowser.RevisionsPage.`getAllRevisions(InternalRepository repository)`
Methods in org.eclipse.emf.cdo.server with parameters of type CDORevision
Modifier and Type
Method
Description
`abstract CDOPermission`
IRepositoryProtector.RevisionAuthorizer.`authorizeRevision(ISession session, IRepositoryProtector.UserInfo userInfo, CDOBranchPoint securityContext, CDORevisionProvider revisionProvider, CDORevision revision)`
`protected void`
CDOServerExporter.Binary.`exportRevision(CDODataOutput out, CDORevision revision)`
`protected abstract void`
CDOServerExporter.`exportRevision(OUT out, CDORevision revision)`
`protected void`
CDOServerExporter.XML.`exportRevision(org.eclipse.net4j.util.io.XMLOutput out, CDORevision revision)`
`protected String`
CDOServerBrowser.RevisionsPage.`getCDOIDLabel(CDORevision revision)`
`CDOID`
IStoreAccessor.NewIDSupport.`getNewID(CDORevision revision)`
`CDOPermission`
IPermissionManager.`getPermission(CDORevision revision, CDOBranchPoint securityContext, String userID)`
Deprecated.
As of 4.2 call `IPermissionManager.getPermission(CDORevision, CDOBranchPoint, ISession)`.
`CDOPermission`
IPermissionManager.`getPermission(CDORevision revision, CDOBranchPoint securityContext, ISession session)`
`void`
CDOServerUtil.RepositoryReadAccessValidator.`handleRevisionsBeforeSending(ISession session, CDORevision[] revisions, List<CDORevision> additionalRevisions)`
`void`
IRepository.ReadAccessHandler.`handleRevisionsBeforeSending(ISession session, CDORevision[] revisions, List<CDORevision> additionalRevisions)`
Provides a way to handle revisions that are to be sent to the client.
`protected abstract String`
CDOServerUtil.RepositoryReadAccessValidator.`validate(ISession session, CDORevision revision)`
Method parameters in org.eclipse.emf.cdo.server with type arguments of type CDORevision
Modifier and Type
Method
Description
`protected Object`
CDOServerBrowser.RevisionsPage.`getRevisionValue(Object value, CDOServerBrowser browser, Map<CDOID,List<CDORevision>> ids, InternalCDORevision context)`
`void`
CDOServerUtil.RepositoryReadAccessValidator.`handleRevisionsBeforeSending(ISession session, CDORevision[] revisions, List<CDORevision> additionalRevisions)`
`void`
IRepository.ReadAccessHandler.`handleRevisionsBeforeSending(ISession session, CDORevision[] revisions, List<CDORevision> additionalRevisions)`
Provides a way to handle revisions that are to be sent to the client.
`protected void`
CDOServerBrowser.RevisionsPage.`showRevision(PrintStream pout, CDOServerBrowser browser, Map<CDOBranch,List<CDORevision>> allRevisions, Map<CDOID,List<CDORevision>> ids, String key, InternalRepository repository)`
`protected void`
CDOServerBrowser.RevisionsPage.`showRevision(PrintStream pout, CDOServerBrowser browser, Map<CDOID,List<CDORevision>> ids, InternalCDORevision revision)`

## Uses of CDORevision in org.eclipse.emf.cdo.server.db

Methods in org.eclipse.emf.cdo.server.db with parameters of type CDORevision
Modifier and Type
Method
Description
`CDOID`
IIDHandler.`getNextCDOID(CDORevision revision)`

## Uses of CDORevision in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type CDORevision
Modifier and Type
Method
Description
`void`
IMappingStrategySchemaPreflight.`prepareSchema(IDBStoreAccessor accessor, CDORevision[] newObjects, CDORevision[] dirtyObjects, CDORevisionDelta[] dirtyObjectDeltas, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Prepares every physical schema object that may be accessed while writing the supplied commit.
`void`
IListMapping4.`writeValues(IDBStoreAccessor accessor, CDORevision revision, boolean firstRevision, boolean raw)`
Write a complete list of values to the database.

## Uses of CDORevision in org.eclipse.emf.cdo.server.ocl

Methods in org.eclipse.emf.cdo.server.ocl that return CDORevision
Modifier and Type
Method
Description
`protected CDORevision`
OCLQueryHandler.`getRevision(EObject object, CDOView view)`

## Uses of CDORevision in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return types with arguments of type CDORevision
Modifier and Type
Method
Description
`Map<CDORevision,CDOPermission>`
CDOSessionPermissionsChangedEvent.`getOldPermissions()`

## Uses of CDORevision in org.eclipse.emf.cdo.spi.common.commit

Methods in org.eclipse.emf.cdo.spi.common.commit that return CDORevision
Modifier and Type
Method
Description
`CDORevision`
CDOChangeSetDataRevisionProvider.`getRevision(CDOID id)`
`CDORevision`
CDORevisionAvailabilityInfo.`getRevision(CDOID id)`

## Uses of CDORevision in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDORevision
Modifier and Type
Method
Description
`CDORevision`
CDODataInputImpl.`readCDORevision()`
`CDORevision`
CDODataInputImpl.`readCDORevision(boolean freeze)`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDORevision
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDORevision(CDORevision revision, int referenceChunk)`
`void`
CDODataOutputImpl.`writeCDORevision(CDORevision revision, int referenceChunk, CDOBranchPoint securityContext)`

## Uses of CDORevision in org.eclipse.emf.cdo.spi.common.revision

Subinterfaces of CDORevision in org.eclipse.emf.cdo.spi.common.revision
Modifier and Type
Interface
Description
`interface`
`InternalCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.emf.cdo.spi.common.revision that implement CDORevision
Modifier and Type
Class
Description
`class`
`AbstractCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`BaseCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`DelegatingCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`DetachedCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`PointerCDORevision`
A `synthetic` revision that represents the initial period of an object in a `branch` when the object is still associated with a revision from one of the baseline branches.
`class`
`StubCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`SyntheticCDORevision`
A synthetic revision that represents the initial period of an object in a `branch` when the object is still associated with a revision from one of the baseline branches.
Methods in org.eclipse.emf.cdo.spi.common.revision that return CDORevision
Modifier and Type
Method
Description
`CDORevision`
ManagedRevisionProvider.`getRevision(CDOID id)`
`CDORevision`
MapRevisionProvider.`getRevision(CDOID id)`
`CDORevision`
DelegatingCDORevisionManager.`internRevision(CDORevision revision)`
`static CDORevision`
ManagedRevisionProvider.`provideRevision(CDORevisionManager revisionManager, CDOID id, CDOBranchPoint branchPoint)`
`CDORevision`
InternalCDORevisionCache.`removeRevision(CDOID id, CDOBranchVersion branchVersion)`
`CDORevision`
AbstractCDORevision.`revision()`
`CDORevision`
DelegatingCDORevision.`revision()`
Methods in org.eclipse.emf.cdo.spi.common.revision that return types with arguments of type CDORevision
Modifier and Type
Method
Description
`List<CDORevision>`
DelegatingCDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand)`
`List<CDORevision>`
DelegatingCDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean prefetchLockStates, boolean loadOnDemand, SyntheticCDORevision[] synthetics)`
`List<CDORevision>`
DelegatingCDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand, List<CDORevision> additionalRevisions)`
`List<CDORevision>`
DelegatingCDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand, SyntheticCDORevision[] synthetics)`
`List<CDORevision>`
InternalCDORevisionCache.`getRevisions(CDOBranchPoint branchPoint)`
`List<CDORevision>`
InternalCDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean prefetchLockStates, boolean loadOnDemand, SyntheticCDORevision[] synthetics)`
`List<CDORevision>`
InternalCDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand, SyntheticCDORevision[] synthetics)`
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDORevision
Modifier and Type
Method
Description
`void`
DelegatingCDORevisionManager.`addRevision(CDORevision revision)`
Deprecated.
`void`
InternalCDORevisionManager.`addRevision(CDORevision revision)`
Deprecated.
As of 4.15 use `CDORevisionInterner.internRevision(CDORevision)`.
`InternalCDORevisionDelta`
BaseCDORevision.`compare(CDORevision origin)`
`InternalCDORevisionDelta`
DelegatingCDORevision.`compare(CDORevision origin)`
`InternalCDORevisionDelta`
InternalCDORevision.`compare(CDORevision origin)`
`InternalCDORevisionDelta`
StubCDORevision.`compare(CDORevision origin)`
`InternalCDORevision`
DelegatingCDORevisionManager.`getBaseRevision(CDORevision revision, int referenceChunk, boolean loadOnDemand)`
`InternalCDORevision`
InternalCDORevisionManager.`getBaseRevision(CDORevision revision, int referenceChunk, boolean loadOnDemand)`
`InternalCDORevisionCache`
InternalCDORevisionCache.`instantiate(CDORevision revision)`
`CDORevision`
DelegatingCDORevisionManager.`internRevision(CDORevision revision)`
Method parameters in org.eclipse.emf.cdo.spi.common.revision with type arguments of type CDORevision
Modifier and Type
Method
Description
`void`
DelegatingCDORevisionManager.`prefetchRevisions(CDOID id, CDOBranchPoint branchPoint, int prefetchDepth, boolean prefetchLockStates, Consumer<CDORevision> consumer)`
`void`
InternalCDORevisionManager.`prefetchRevisions(CDOID id, CDOBranchPoint branchPoint, int prefetchDepth, boolean prefetchLockStates, Consumer<CDORevision> consumer)`
`void`
RevisionInfo.Available.Detached.`processResult(InternalCDORevisionManager revisionManager, List<CDORevision> results, SyntheticCDORevision[] synthetics, int i)`
`void`
RevisionInfo.Available.Normal.`processResult(InternalCDORevisionManager revisionManager, List<CDORevision> results, SyntheticCDORevision[] synthetics, int i)`
`void`
RevisionInfo.Available.Pointer.`processResult(InternalCDORevisionManager revisionManager, List<CDORevision> results, SyntheticCDORevision[] synthetics, int i)`
`void`
RevisionInfo.`processResult(InternalCDORevisionManager revisionManager, List<CDORevision> results, SyntheticCDORevision[] synthetics, int i)`
Constructor parameters in org.eclipse.emf.cdo.spi.common.revision with type arguments of type CDORevision
Modifier
Constructor
Description
``
`MapRevisionProvider(Map<? extends CDOID,? extends CDORevision> m)`

## Uses of CDORevision in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return CDORevision
Modifier and Type
Method
Description
`CDORevision`
StoreChunkReader.`getRevision()`
Methods in org.eclipse.emf.cdo.spi.server that return types with arguments of type CDORevision
Modifier and Type
Method
Description
`Function<CDORevision,CDOID>`
InternalRepository.`getIDGenerator()`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDORevision
Modifier and Type
Method
Description
`CDOID`
StoreAccessorBase.`getNewID(CDORevision revision)`
`CDOID`
LongIDStore.`getNextCDOID(LongIDStoreAccessor accessor, CDORevision revision)`
`protected CDOID`
LongIDStoreAccessor.`getNextCDOID(CDORevision revision)`
`protected abstract CDOID`
StoreAccessorBase.`getNextCDOID(CDORevision revision)`
`boolean`
StoreAccessorBase.CommitDataRevisionHandler.`handleRevision(CDORevision rev)`
`void`
InternalRepository.`notifyReadAccessHandlers(InternalSession session, CDORevision[] revisions, List<CDORevision> additionalRevisions)`
Method parameters in org.eclipse.emf.cdo.spi.server with type arguments of type CDORevision
Modifier and Type
Method
Description
`void`
InternalSession.`collectContainedRevisions(InternalCDORevision revision, CDOBranchPoint branchPoint, int referenceChunk, Set<CDOID> revisions, List<CDORevision> additionalRevisions)`
`void`
InternalRepository.`notifyReadAccessHandlers(InternalSession session, CDORevision[] revisions, List<CDORevision> additionalRevisions)`
`void`
InternalRepository.`setIDGenerator(Function<CDORevision,CDOID> idGenerator)`
Constructors in org.eclipse.emf.cdo.spi.server with parameters of type CDORevision
Modifier
Constructor
Description
``
`StoreChunkReader(IStoreAccessor accessor, CDORevision revision, EStructuralFeature feature)`

## Uses of CDORevision in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDORevision
Modifier and Type
Method
Description
`CDORevision`
CDOPushTransaction.`getRevision(CDOID id)`
Deprecated.
Methods in org.eclipse.emf.cdo.transaction that return types with arguments of type CDORevision
Modifier and Type
Method
Description
`Map<CDOID,CDORevision>`
CDOSavepoint.`getAllBaseNewObjects()`
Returns the aggregate of base revisions at this savepoint's fixed boundary.
`Map<CDOID,CDORevision>`
CDOTransaction.Options.`getAttachedRevisionsMap()`
Returns a map which, if non-`null`, stores copies of the initial `revisions` of newly attached objects.
`Map<CDOID,CDORevision>`
CDOSavepoint.`getBaseNewObjects()`
Returns objects that were already new at this savepoint's boundary.
Methods in org.eclipse.emf.cdo.transaction with parameters of type CDORevision
Modifier and Type
Method
Description
`boolean`
CDOUndoDetector.`detectUndo(CDOTransaction transaction, CDORevision cleanRevision, CDORevision currentRevision, CDOFeatureDelta featureDelta)`
Method parameters in org.eclipse.emf.cdo.transaction with type arguments of type CDORevision
Modifier and Type
Method
Description
`void`
CDOConflictResolver2.`resolveConflicts(Map<CDOObject,org.eclipse.net4j.util.collection.Pair<CDORevision,CDORevisionDelta>> conflicts, List<CDORevisionDelta> allRemoteDeltas)`
Resolves conflicts after remote invalidations arrived for objects that are locally dirty or detached.
`void`
CDOTransaction.Options.`setAttachedRevisionsMap(Map<CDOID,CDORevision> attachedRevisionsMap)`
Sets a map which, if non-`null`, stores copies of the initial `revisions` of newly attached objects, so that these objects can and will be rolled back to the model values they had at attachment time.

## Uses of CDORevision in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that return CDORevision
Modifier and Type
Method
Description
`static CDORevision`
CDOUtil.`getRevisionByVersion(CDOObject object, int version)`
`static CDORevision`
CDOUtil.`getRevisionByVersion(CDOObject object, CDOBranch branch, int version)`

## Uses of CDORevision in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return CDORevision
Modifier and Type
Method
Description
`protected CDORevision`
CDOPrefetcherManager.Prefetcher.`addRevision(CDORevision revision)`
The caller must synchronize on this prefetcher.
Methods in org.eclipse.emf.cdo.view with parameters of type CDORevision
Modifier and Type
Method
Description
`protected CDORevision`
CDOPrefetcherManager.Prefetcher.`addRevision(CDORevision revision)`
The caller must synchronize on this prefetcher.
`protected void`
CDOPrefetcherManager.Prefetcher.`revisionIgnored(CDORevision revision)`
Subclasses may override.
`protected void`
CDOPrefetcherManager.Prefetcher.`revisionRemoved(CDORevision revision)`
Subclasses may override.

## Uses of CDORevision in org.eclipse.emf.internal.cdo

Methods in org.eclipse.emf.internal.cdo with parameters of type CDORevision
Modifier and Type
Method
Description
`final void`
CDOObjectImpl.`cdoInternalSetRevision(CDORevision revision)`

## Uses of CDORevision in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return types with arguments of type CDORevision
Modifier and Type
Method
Description
`Map<CDOID,CDORevision>`
InternalCDOSavepoint.`getAllBaseNewObjectsIncludingCurrent()`
Returns the aggregate through this savepoint, including its mutable current segment.
`Map<CDORevision,CDOPermission>`
InternalCDOView.ViewInvalidationData.`getOldPermissions()`
`Map<CDORevision,CDOPermission>`
CDOSessionProtocol.`loadPermissions(InternalCDORevision[] revisions)`
Deprecated.
`Map<CDORevision,CDOPermission>`
CDOSessionProtocol.`loadPermissions3(Map<CDOBranchPoint,Set<InternalCDORevision>> revisions)`
`Map<CDORevision,CDOPermission>`
CDOPermissionUpdater.`updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions)`
`Map<CDORevision,CDOPermission>`
CDOPermissionUpdater2.`updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions, CDOCommitInfo commitInfo)`
`Map<CDORevision,CDOPermission>`
CDOPermissionUpdater3.`updatePermissions(InternalCDOSession session, Map<CDOBranchPoint,Set<InternalCDORevision>> revisions, CDOCommitInfo commitInfo)`
`default Map<CDORevision,CDOPermission>`
CDOPermissionUpdater3.`updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions)`
Deprecated.
As of 4.22 use `CDOPermissionUpdater3.updatePermissions(InternalCDOSession, Map, CDOCommitInfo)`.
`Map<CDORevision,CDOPermission>`
InternalCDOSession.`updatePermissions()`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDORevision
Modifier and Type
Method
Description
`protected Object`
DefaultCDOMerger.`addedInSource(CDORevision revision)`
`protected Object`
DefaultCDOMerger.`addedInSourceAndTarget(CDORevision targetRevision, CDORevision sourceRevision)`
`protected Object`
DefaultCDOMerger.`addedInTarget(CDORevision revision)`
`void`
InternalCDOObject.`cdoInternalSetRevision(CDORevision revision)`
`protected Object`
DefaultCDOMerger.`changedInSource(CDORevisionDelta delta, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision sourceBaseRevision, CDORevision sourceEndRevision)`
Resolves a one-sided source change as a goal relative to the actual result base.
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.`changedInSource(CDOFeatureDelta featureDelta, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision sourceBaseRevision)`
Re-encodes a source-only feature change relative to the actual result base.
`protected Object`
DefaultCDOMerger.PerFeature.`changedInSource(CDORevisionDelta delta, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision sourceBaseRevision, CDORevision sourceEndRevision)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.ManyValued.`changedInSource(CDOFeatureDelta featureDelta, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision sourceBaseRevision)`
`protected Object`
DefaultCDOMerger.`changedInSourceAndDetachedInTarget(CDORevisionDelta sourceDelta, CDORevision resultBaseRevision, CDORevision sourceBaseRevision, CDORevision sourceEndRevision)`
Resolves source-change versus target-detach as a result-base-relative goal.
`protected Object`
DefaultCDOMerger.`changedInSourceAndTarget(CDORevisionDelta targetDelta, CDORevisionDelta sourceDelta, CDORevision ancestorRevision)`
Resolves concurrent revision changes with an optional full common-ancestor revision.
`protected Object`
DefaultCDOMerger.`changedInSourceAndTarget(CDORevisionDelta targetDelta, CDORevisionDelta sourceDelta, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision sourceBaseRevision)`
Resolves concurrent revision changes with explicit asymmetric branch/remerge base revisions.
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.`changedInSourceAndTarget(CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta, CDORevision ancestorRevision)`
Resolves concurrent changes of one feature with an optional full common-ancestor revision.
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.`changedInSourceAndTarget(CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision sourceBaseRevision)`
Resolves concurrent feature changes with explicit result/target/source base revisions.
`protected Object`
DefaultCDOMerger.PerFeature.`changedInSourceAndTarget(CDORevisionDelta targetDelta, CDORevisionDelta sourceDelta, CDORevision ancestorRevision)`
`protected Object`
DefaultCDOMerger.PerFeature.`changedInSourceAndTarget(CDORevisionDelta targetDelta, CDORevisionDelta sourceDelta, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision sourceBaseRevision)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.ManyValued.`changedInSourceAndTarget(CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta, CDORevision ancestorRevision)`
Resolves two concurrent list histories that start from one common ancestor.
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.ManyValued.`changedInSourceAndTarget(CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision sourceBaseRevision)`
`protected Object`
DefaultCDOMerger.`changedInTarget(CDORevisionDelta delta, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision sourceBaseRevision, CDORevision targetEndRevision)`
Resolves a one-sided target change as a goal relative to the actual result base.
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.`changedInTarget(CDOFeatureDelta featureDelta, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision sourceBaseRevision)`
Re-encodes a target-only feature change relative to the actual result base.
`protected Object`
DefaultCDOMerger.PerFeature.`changedInTarget(CDORevisionDelta delta, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision sourceBaseRevision, CDORevision targetEndRevision)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.ManyValued.`changedInTarget(CDOFeatureDelta featureDelta, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision sourceBaseRevision)`
`protected Object`
DefaultCDOMerger.`changedInTargetAndDetachedInSource(CDORevisionDelta targetDelta, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision targetEndRevision)`
Resolves target-change versus source-detach as a result-base-relative goal.
`protected boolean`
DefaultCDOMerger.`merge(Object targetData, Object sourceData, CDORevision ancestorRevision)`
Merges the data for one object with the full common-ancestor revision when the producing call path retained it.
`protected boolean`
DefaultCDOMerger.`merge(Object targetData, Object sourceData, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision sourceBaseRevision)`
Merges one object's data with the result, target, and source base revisions needed by asymmetric branch remerge.
`protected boolean`
DefaultCDOMerger.`merge(Object targetData, Object sourceData, CDORevision resultBaseRevision, CDORevision targetBaseRevision, CDORevision sourceBaseRevision, CDORevision targetEndRevision, CDORevision sourceEndRevision)`
Merges one object's data while keeping every returned goal relative to `resultBaseRevision`.
`void`
InternalCDOSession.`resolveAllElementProxies(CDORevision revision)`
`protected void`
AbstractObjectConflictResolver.`resolveConflict(CDOObject conflict, CDORevision oldRemoteRevision, CDORevisionDelta localDelta, CDORevisionDelta remoteDelta, List<CDORevisionDelta> allRemoteDeltas)`
Resolves the conflict of a single object in the current transaction.
`protected void`
AbstractObjectConflictResolver.ThreeWayMerge.`resolveConflict(CDOObject conflict, CDORevision oldRemoteRevision, CDORevisionDelta localDelta, CDORevisionDelta remoteDelta, List<CDORevisionDelta> allRemoteDeltas)`
`Object`
InternalCDOSession.`resolveElementProxy(CDORevision revision, EStructuralFeature feature, int accessIndex, int serverIndex)`
Method parameters in org.eclipse.emf.spi.cdo with type arguments of type CDORevision
Modifier and Type
Method
Description
`void`
AbstractObjectConflictResolver.`resolveConflicts(Map<CDOObject,org.eclipse.net4j.util.collection.Pair<CDORevision,CDORevisionDelta>> conflicts, List<CDORevisionDelta> allRemoteDeltas)`
`void`
AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges.`resolveConflicts(Map<CDOObject,org.eclipse.net4j.util.collection.Pair<CDORevision,CDORevisionDelta>> conflicts, List<CDORevisionDelta> allRemoteDeltas)`
Deprecated.
`void`
InternalCDOView.ViewInvalidationData.`setOldPermissions(Map<CDORevision,CDOPermission> oldPermissions)`